# Class XyKeyPair<T>

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.XyKeyPair<T>

public class XyKeyPair<T> extends Object
Represents a pair of configuration keys that apply to the X and Y axes of a plane plot.

Since:
  22 Aug 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`XyKeyPair(Function<String, ConfigKey<T>> keyFactory)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConfigKey<T>`
`createKey(String axName)`
Creates a new key of this type with a named axis.
`ConfigKey<T>`
`getKeyX()`
Returns the config key for the X axis.
`ConfigKey<T>`
`getKeyY()`
Returns the config key for the Y axis.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XyKeyPair

public XyKeyPair(Function<String, ConfigKey<T>> keyFactory)
Constructor.

Parameters:
  `keyFactory` - maps an axis name (such as "X" or "Y") to a configuration key

## Method Details

### getKeyX

public ConfigKey<T> getKeyX()
Returns the config key for the X axis.

Returns:
  X config key

### getKeyY

public ConfigKey<T> getKeyY()
Returns the config key for the Y axis.

Returns:
  Y config key

### createKey

public ConfigKey<T> createKey(String axName)
Creates a new key of this type with a named axis.

Parameters:
  `axName` - axis name
Returns:
  config key for named axis